#
# spec file for package obs-service-kiwi_metainfo_helper
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           obs-service-kiwi_metainfo_helper
Version:        0.1
Release:        lp152.3.3.1
Summary:        Service for substituting various variables in build recipes
License:        GPL-2.0-or-later
Group:          Development/Tools/Building
URL:            https://build.opensuse.org
Source0:        kiwi_metainfo_helper.service
Source1:        kiwi_metainfo_helper
Source2:        README
Requires:       sed
# Technically, this should read os-release inside the built image, but doing
# that is much more complex. As obsrepositories:// has to be used anyway,
# using the system's os-release is fine for now.
Requires:       (sles-release or openSUSE-release)
Conflicts:      dummy-release
BuildArch:      noarch

%description
This service can be used during buildtime to gain access to various variables
in build recipes.

%prep
%setup -q -D -T -n .
cp %{SOURCE2} .

%build

%install

mkdir -p %{buildroot}%{_prefix}/lib/obs/service
install -m 0644 %{SOURCE0} %{buildroot}%{_prefix}/lib/obs/service
install -m 0755 %{SOURCE1} %{buildroot}%{_prefix}/lib/obs/service

%files
%doc README
%dir %{_prefix}/lib/obs
%{_prefix}/lib/obs/service

%changelog
* Tue Sep  1 2020 Fabian Vogt <fvogt@suse.com>
- Use a boolean dep to avoid use of %%{is_opensuse}. The prjconf
  selects which one to use this way.
- Bump version to 0.1
* Thu Aug 27 2020 Fabian Vogt <fvogt@suse.com>
- Fix grammar, update README and .service. Technically the name
  should be changed as well, but that's just cosmetic.
* Tue Aug 25 2020 Stefan Nica <snica@suse.com>
- Also allow working on Chart.yaml (jsc#CAPS-5)
* Tue Jul  7 2020 Fabian Vogt <fvogt@suse.com>
- Add explicit fallback for chroot builds
- Refactor into a single sed call
* Tue May  5 2020 Fabian Vogt <fvogt@suse.com>
- Also allow working on Dockerfile (jsc#CAPS-10)
* Mon May  4 2020 Fabian Vogt <fvogt@suse.com>
- Strip service prefix from the recipe name to work with enabled
  services in OBS
* Thu Jan 10 2019 Fabian Vogt <fvogt@suse.com>
- Add %%OS_VERSION_ID(_SP)%% and %%PRETTY_NAME%% (boo#1119378)
* Thu Jan 10 2019 Fabian Vogt <fvogt@suse.com>
- Remove spurious parameter to %%setup -T
- Mention that it's a service in the summary
* Wed Oct 17 2018 Fabian Vogt <fvogt@suse.com>
- Initial commit (fate#326856, bsc#1118103)
